source 'https://rubygems.org'

git_source(:github) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "https://github.com/#{repo_name}.git"
end

# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 5.1.4'
# Use Puma as the app server
gem 'puma', '~> 3.7'
# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby

# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.5'
# Use Redis adapter to run Action Cable in production
gem 'redis', '~> 3.2'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  # Adds support for Capybara system testing and selenium driver
  gem 'capybara', '~> 2.13'
  gem 'selenium-webdriver'
end

group :test do
  gem 'rspec-rails', '~>3.6'
  gem 'factory_bot_rails'
  gem 'database_cleaner'
  gem 'simplecov'
  gem 'webmock'
  gem 'shoulda-matchers'
  gem 'timecop'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> anywhere in the code.
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
  gem 'letter_opener'

  gem 'capistrano', '3.14', require: false
  gem 'capistrano-rvm', '0.1.2',     require: false
  gem 'capistrano-rails', '1.5.0',   require: false
  gem 'capistrano-bundler', '1.6.0', require: false
  gem 'capistrano-npm', '1.0.3',     require: false
  gem 'capistrano-nvm', '0.0.7',     require: false
  gem 'capistrano3-puma', '3.1.1',   require: false
  gem 'capistrano-rails-collection', '0.1.0',   require: false
end


# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]

gem 'cancancan'
gem 'paperclip'
gem 'i18n-js'
gem 'figaro'
gem 'autoprefixer-rails', '~> 6.6.1'
gem 'browserify-rails'
gem 'pg', '0.21.0'
gem 'try_api', '0.1.15.3', :git => 'https://github.com/viholovko/try_api.git', :branch => 'master'
gem 'rest-client'
gem 'paperclip-av-transcoder', '0.6.3'
gem 'paperclip-ffmpeg'
gem 'rack-cors', '~> 0.4.0'
gem 'twilio-ruby'
gem 'georuby'
gem 'sidekiq'
gem 'whenever'
gem 'link_thumbnailer', git: 'https://github.com/mskubenich/link_thumbnailer', branch: 'rb_str_change_terminator_length'
gem 'fb_graph2'
gem 'jquery-rails'
gem 'globalize', '~> 5.0', '>= 5.0.1'
